Arbitrary File Access Affecting org.apache.solr:solr-core package, versions [,8.6.0)


0.0
medium

Snyk CVSS

    Attack Complexity Low
Expand this section
NVD
8.8 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-ORGAPACHESOLR-598793
  • published 17 Aug 2020
  • disclosed 17 Aug 2020
  • credit Unknown

How to fix?

Upgrade org.apache.solr:solr-core to version 8.6.0 or higher.

Overview

org.apache.solr:solr-core is an open source enterprise search platform built on Apache Lucene

Affected versions of this package are vulnerable to Arbitrary File Access. The Replication handler allows commands backup, restore and deleteBackup that take unvalidated alocation parameter, i.e you could read/write to any location the solr user can access. Launching SMB attacks which may result in the exfiltration of sensitive data such as OS user hashes (NTLM/LMhashes). In case of misconfigured systems, SMB Relay Attacks which can lead to user impersonation on SMB Shares or, in a worse-case scenario, Remote Code Execution.